"""Add experiment

Revision ID: a88924af33b0
Revises: 896a28a0652f
Create Date: 2021-03-24 12:51:30.807505

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "a88924af33b0"
down_revision = "896a28a0652f"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "experiment",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column(
            "time_created",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column(
            "time_updated",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column("name", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.add_column("ensemble", sa.Column("experiment_id", sa.Integer(), nullable=False))
    op.create_foreign_key(None, "ensemble", "experiment", ["experiment_id"], ["id"])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "ensemble", type_="foreignkey")
    op.drop_column("ensemble", "experiment_id")
    op.drop_table("experiment")
    # ### end Alembic commands ###
