"""Add obs trans and updates

Revision ID: bea15008ea91
Revises: 55307b70da13
Create Date: 2021-04-08 15:57:25.088170

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "bea15008ea91"
down_revision = "55307b70da13"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "update",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("algorithm", sa.String(), nullable=False),
        sa.Column("ensemble_reference_id", sa.Integer(), nullable=True),
        sa.Column("ensemble_result_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["ensemble_reference_id"],
            ["ensemble.id"],
        ),
        sa.ForeignKeyConstraint(
            ["ensemble_result_id"],
            ["ensemble.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("ensemble_result_id", name="uq_update_result_id"),
    )
    op.create_table(
        "observation_transformation",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("active_list", sa.PickleType(), nullable=False),
        sa.Column("scale_list", sa.PickleType(), nullable=False),
        sa.Column("observation_id", sa.Integer(), nullable=False),
        sa.Column("update_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["observation_id"],
            ["observation.id"],
        ),
        sa.ForeignKeyConstraint(
            ["update_id"],
            ["update.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("observation_transformation")
    op.drop_table("update")
    # ### end Alembic commands ###
