"""add observations

Revision ID: f46d5afa7639
Revises: a88924af33b0
Create Date: 2021-04-06 09:58:45.107064

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f46d5afa7639"
down_revision = "a88924af33b0"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "observation",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column(
            "time_created",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column(
            "time_updated",
            sa.DateTime(),
            server_default=sa.text("now()"),
            nullable=True,
        ),
        sa.Column("name", sa.String(), nullable=False),
        sa.Column("x_axis", sa.ARRAY(sa.String()), nullable=False),
        sa.Column("values", sa.ARRAY(sa.FLOAT()), nullable=False),
        sa.Column("errors", sa.ARRAY(sa.FLOAT()), nullable=False),
        sa.Column("experiment_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["experiment_id"],
            ["experiment.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
        sa.UniqueConstraint("name", name="uq_observation_name"),
    )
    op.create_table(
        "observation_record_association",
        sa.Column("observation_id", sa.Integer(), nullable=True),
        sa.Column("record_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(
            ["observation_id"],
            ["observation.id"],
        ),
        sa.ForeignKeyConstraint(
            ["record_id"],
            ["record.id"],
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("observation_record_association")
    op.drop_table("observation")
    # ### end Alembic commands ###
